Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class TelephoneNum

    java.lang.Object
      org.jboss.portal.wsrp.core.TelephoneNum

All Implemented Interfaces:
  java.io.Serializable

    public class TelephoneNum

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `comment`
`protected java.lang.String` | `ext`
`protected Extension[]` | `extensions`
`protected java.lang.String` | `intcode`
`protected java.lang.String` | `loccode`
`protected java.lang.String` | `number`

Constructor Summary
`TelephoneNum()`
`TelephoneNum(java.lang.String intcode, java.lang.String loccode, java.lang.String number, java.lang.String ext, java.lang.String comment, Extension[] extensions)`

Method Summary
`java.lang.String` | `getComment()`
`java.lang.String` | `getExt()`
`Extension[]` | `getExtensions()`
`java.lang.String` | `getIntcode()`
`java.lang.String` | `getLoccode()`
`java.lang.String` | `getNumber()`
`void` | `setComment(java.lang.String comment)`
`void` | `setExt(java.lang.String ext)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setIntcode(java.lang.String intcode)`
`void` | `setLoccode(java.lang.String loccode)`
`void` | `setNumber(java.lang.String number)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### intcode

    protected java.lang.String intcode

### loccode

    protected java.lang.String loccode

### number

    protected java.lang.String number

### ext

    protected java.lang.String ext

### comment

    protected java.lang.String comment

### extensions

    protected Extension[] extensions

Constructor Detail

### TelephoneNum

    public TelephoneNum()

### TelephoneNum

    public TelephoneNum(java.lang.String intcode,
                        java.lang.String loccode,
                        java.lang.String number,
                        java.lang.String ext,
                        java.lang.String comment,
                        Extension[] extensions)

Method Detail

### getIntcode

    public java.lang.String getIntcode()

### setIntcode

    public void setIntcode(java.lang.String intcode)

### getLoccode

    public java.lang.String getLoccode()

### setLoccode

    public void setLoccode(java.lang.String loccode)

### getNumber

    public java.lang.String getNumber()

### setNumber

    public void setNumber(java.lang.String number)

### getExt

    public java.lang.String getExt()

### setExt

    public void setExt(java.lang.String ext)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD